Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.net.ftp.parser
Class CompositeFileEntryParser

    java.lang.Object
      org.apache.commons.net.ftp.FTPFileEntryParserImpl
          org.apache.commons.net.ftp.parser.CompositeFileEntryParser

All Implemented Interfaces:
  FTPFileEntryParser, FTPFileListParser

public class CompositeFileEntryParser
extends FTPFileEntryParserImpl

This implementation allows to pack some FileEntryParsers together and handle the case where to returned dirstyle isnt clearly defined. The matching parser will be cached. If the cached parser wont match due to the server changed the dirstyle, a new matching parser will be searched.

Author:
  Mario Ivankovits

Constructor Summary
`CompositeFileEntryParser(FTPFileEntryParser[] ftpFileEntryParsers)`

Method Summary
`FTPFile` | `parseFTPEntry(String listEntry)` Parses a line of an FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance.

Methods inherited from class org.apache.commons.net.ftp.FTPFileEntryParserImpl
`parseFileList, parseFileList, preParse, readNextEntry`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CompositeFileEntryParser

    public CompositeFileEntryParser(FTPFileEntryParser[] ftpFileEntryParsers)

Method Detail

### parseFTPEntry

    public FTPFile parseFTPEntry(String listEntry)

  Description copied from interface: `FTPFileEntryParser`
  Parses a line of an FTP server file listing and converts it into a usable format in the form of an `FTPFile` instance. If the file listing line doesn't describe a file, `null` should be returned, otherwise a `FTPFile` instance representing the files in the directory is returned.

  Parameters:
    `listEntry` - A line of text from the file listing
  Returns:
    An FTPFile instance corresponding to the supplied entry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997-2005 The Apache Software Foundation. All Rights Reserved.